import 'package:benchmark/benchmark.dart';
import 'package:dart_redis_cluster_key_slot/dart_redis_cluster_key_slot.dart';

const elements = [
  '123465',
  'foobar',
  'abcdefghijklmnopqrstuvwxyz',
  r'gsdfhan$%^&*(sdgsdnhshcs',
  'foobar{foobar',
];

void main() {
  benchmark(
    'with tags',
    () {
      var i = 0;
      for (; i < elements.length; i++) {
        generate('abc{${elements[i]}}}{yeahh}');
      }
    },
    iterations: 100,
    duration: const Duration(seconds: 1),
  );

  benchmark(
    'without tags',
    () {
      var i = 0;
      for (; i < elements.length; i++) {
        generate(elements[i]);
      }
    },
    iterations: 100,
    duration: const Duration(seconds: 1),
  );
}
